# Changelog
All notable changes to this project will be documented in this file, formatted via [this recommendation](https://keepachangelog.com/).

## [2.1.0] - 2024-08-29
### IMPORTANT
- Support for PHP 5.6 has been discontinued. If you are running PHP 5.6, you MUST upgrade PHP before installing WPForms AWeber 2.1.0. Failure to do that will disable WPForms AWeber functionality.
- Support for WordPress 5.4 and below has been discontinued. If you are running any of those outdated versions, you MUST upgrade WordPress before installing AWeber 2.1.0. Failure to do that will disable WPForms AWeber functionality.

### Changed
- The minimum WPForms version supported is 1.9.0.

### Fixed
- Add entry field data to the Log error message in case if transaction was stopped by conditional logic.
- Compatibility with PHP 8.2 and 8.3.

## [2.0.1] - 2023-08-09
### Changed
- Minimum WPForms version supported is 1.8.3.
- Removed the ability to create new AWeber (Legacy) OAuth1 account connections.

### Fixed
- Fatal error when creating a connection in Form Builder.

## [2.0.0] - 2023-07-06
### Changed
- Compatibility with AWeber OAuth2 authentication.
- Minimum WPForms version supported is 1.8.2.2.

## [1.3.2] - 2023-07-03
### Fixed
- Compatibility with WPForms 1.8.2.2.

## [1.3.1] - 2022-08-31
### Fixed
- PHP warnings were generated during attempts to add already connected accounts.
- Addon used to generate errors when the `cURL` PHP extension was not installed on a server.

## [1.3.0] - 2022-03-16
### Added
- Compatibility with WPForms 1.6.8 and the updated Form Builder.

### Changed
- Improved translatable strings escaping.

## [1.2.0] - 2019-07-23
### Added
- Complete translations for French and Portuguese (Brazilian).

## [1.1.0] - 2019-02-06
### Added
- Complete translations for Spanish, Italian, Japanese, and German.

### Fixed
- Typos, grammar, and other i18n related issues.

## [1.0.7] - 2018-03-15
### Fixed
- Error when adding account from Settings > Integrations tab.

## [1.0.6] - 2017-03-09
### Changed
- Adjust display order so that the providers show in alphabetical order.

## [1.0.5] - 2017-02-09
### Added
- Support for tagging.

## [1.0.4] - 2016-07-07
### Changed
- Improved error logging.

## [1.0.3] - 2016-06-23
### Changed
- Prevent plugin from running if WPForms Pro is not activated.
- Corrected AWeber capitilization inside form builder.

## [1.0.2] - 2016-04-12
### Changed
- Improved error logging.

## [1.0.1] - 2016-04-06
### Fixed
- Issue with Aweber submission failing without custom fields.
